Skip to main content
GET
/
v1
/
logical-environments
/
{id}
Describe a logical environment
curl --request GET \
  --url https://api.app.chainloop.dev/v1/logical-environments/{id} \
  --header 'Authorization: Bearer <token>'
{
  "logical_environment": {
    "updated_at": "2000-01-23T04:56:07.000Z",
    "organization_id": "organization_id",
    "name": "name",
    "description": "description",
    "created_at": "2000-01-23T04:56:07.000Z",
    "id": "id"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.chainloop.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer token for authentication

Path Parameters

id
string
required

ID is the unique identifier of the logical environment

Query Parameters

name
string

Name of the logical environment (must be DNS-1123 compliant)

Response

A successful response.

logical_environment
LogicalEnvironment represents a logical environment entity · object
Example:
{
"updated_at": "2000-01-23T04:56:07.000Z",
"organization_id": "organization_id",
"name": "name",
"description": "description",
"created_at": "2000-01-23T04:56:07.000Z",
"id": "id"
}